Tryton - Issues

 

Issue7511

Title Position problem for the dialog window
Priority feature Status resolved
Superseder Nosy List Timitos, albertca, ced, mrichez, pokoli, reviewbot, roundup-bot, tbruyere, yangoon
Type behavior Components tryton
Assigned To ced Keywords review
Reviews 70301002
View: 70301002

Created on 2018-06-12.11:53:53 by tbruyere, last changed by roundup-bot.

Files
File name Uploaded Type Edit Remove
vokoscreen-2018-06-12_11-46-54.mkv tbruyere, 2018-06-12.11:53:52 video/x-matroska
vokoscreen-2018-06-12_13-30-58.mkv tbruyere, 2018-06-12.13:47:08 video/x-matroska
vokoscreen-2018-06-12_13-36-23.mkv tbruyere, 2018-06-12.13:47:14 video/x-matroska
vokoscreen-2018-06-12_13-42-03.mkv tbruyere, 2018-06-12.13:47:20 video/x-matroska
Messages
New changeset 67260b227755 by Cédric Krier in branch 'default':
Improve dialog size
https://hg.tryton.org/tryton-env/rev/67260b227755
New changeset 42cd96d58788 by Cédric Krier in branch 'default':
Improve dialog size
https://hg.tryton.org/trytond/rev/42cd96d58788
New changeset e9755731ceb5 by Cédric Krier in branch 'default':
Improve dialog size
https://hg.tryton.org/tryton/rev/e9755731ceb5
New changeset 4f79a8aa2260 by Cédric Krier in branch 'default':
Improve dialog size
https://hg.tryton.org/sao/rev/4f79a8aa2260
New changeset d95e9d68e7f0 by Cédric Krier in branch 'default':
Improve dialog size
https://hg.tryton.org/modules/company/rev/d95e9d68e7f0
msg42268 (view) Author: [hidden] (Timitos) Date: 2018-07-24.15:00:40
This is much better now. Great!
review70301002 updated at https://codereview.tryton.org/70301002/#ps10018
review70301002 updated at https://codereview.tryton.org/70301002/#ps1
msg42264 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-07-24.11:43:48
Here is review70301002 which I think improve the situation.
As result, the wizard popups are using only the requested size of the content. So it is not suitable to display full form. In such case (like the configuration wizards), they must be run in window mode. I think it enforces a better practice because large form should not be filled in a modal dialog because it prevents the user to switch of task.
msg41400 (view) Author: [hidden] (Timitos) Date: 2018-06-14.08:58:03
I strongly support Alberts proposal.
msg41399 (view) Author: [hidden] (albertca) (Tryton committer) (Tryton translator) Date: 2018-06-14.08:51:16
I don't think it's a Windows-only issue. I have the same problem on Linux too.

In my opinion, behavioiur before issue6997 was ok except for the 10% decrease on each new window. I think that decreasing only for the first modal form, and then keeping the rest at the same size, while still making them movable, could bring a better UX.
msg41382 (view) Author: [hidden] (tbruyere) Date: 2018-06-12.13:47:08
The goal is not really to move the dialog but there are unexpected reactions because of the fixed position of the dialogue window.

Scenario 1
----------

Open the VARIANT menu (for sample)
Hide the left menu
Open a dialogue
The dialog is fullscreen -> no longer possible to manage tabs or menu.
VIDEO DEMO: vokoscreen-2018-06-12_13-30-58

Scenario 2
----------

Open the Variant menu (for sample)
Open the categories menu (for sample)
hide the left menu
Open a dialog box
No more possible to retrieve the menu on the left to open another menu item
-> we must change the TAB before to retrieve the menu
VIDEO DEMO: vokoscreen-2018-06-12_13-36-23

Scenario 3
----------

With a dual screen configuration.

Open the Variant menu (for sample)
Open the categories menu (for sample)
Open a dialog box
Move the Tryton WINDOW on the second screen.
The dialog not move.
If a change my TAB -> the dialog Move.
VIDEO DEMO : vokoscreen-2018-06-12_13-42-03
msg41379 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-06-12.12:02:46
For me it is a Windows issue as they do not seem to provide a way to move windows (tryton does not request to disable the move, it just requests no decoration for correct positioning).
What is the goal to move the popup? You can do nothing on the below form and if you switch tab, the dialog will disappear.
msg41377 (view) Author: [hidden] (tbruyere) Date: 2018-06-12.11:53:52
Since the change issue6997, the dialog window is the same size as the parent and there is no more window decorator.

If you hide the menu on the left, the dialogue window remains modal and can not be moved.
If you move the main window, it is no longer possible to move the dialog window 
-> problem if you work in dual screen, it is no longer possible to move the dialog on the second screen.

you can see a video test.
History
Date User Action Args
2018-08-01 12:22:34roundup-botsetmessages: + msg42587
2018-08-01 12:22:31roundup-botsetmessages: + msg42586
2018-08-01 12:22:30roundup-botsetmessages: + msg42585
2018-08-01 12:22:27roundup-botsetmessages: + msg42584
2018-08-01 12:22:24roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg42583
2018-07-24 22:01:53cedsettitle: Position problem for the dialogue window -> Position problem for the dialog window
2018-07-24 15:00:40Timitossetmessages: + msg42268
2018-07-24 14:24:45yangoonsetnosy: + yangoon
2018-07-24 12:38:52reviewbotsetmessages: + msg42266
2018-07-24 12:02:10reviewbotsetnosy: + reviewbot
messages: + msg42265

Showing 10 items. Show all history (warning: this could be VERY long)